Changes between Version 99 and Version 100 of Faq


Ignore:
Timestamp:
02/19/2009 09:12:41 AM (13 years ago)
Author:
damoxc
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Faq

    v99 v100  
    295295First you need to install the necessary dependencies. In Ubuntu and Debian, do this: 
    296296 
    297 $ sudo apt-get install g++ make python-all-dev python-all python-dbus python-gtk2 python-notify python-setuptools librsvg2-common python-xdg python-support subversion libboost-dev libboost-python-dev libboost-iostreams-dev libboost-thread-dev libboost-date-time-dev libboost-filesystem-dev libboost-serialization-dev libssl-dev zlib1g-dev  
     297{{{ 
     298#!sh 
     299$ sudo apt-get install g++ make python-all-dev python-all python-dbus \ 
     300python-gtk2 python-notify python-setuptools librsvg2-common python-xdg \ 
     301python-support subversion libboost-dev libboost-python-dev \ 
     302libboost-iostreams-dev libboost-thread-dev libboost-date-time-dev \ 
     303libboost-filesystem-dev libboost-serialization-dev libssl-dev zlib1g-dev 
     304}}} 
    298305Next you need to get the latest revision from SVN and build/install it: 
    299306{{{ 
     307#!sh 
    300308$ svn co http://svn.deluge-torrent.org/trunk deluge # for development version 
    301309$ svn co http://svn.deluge-torrent.org/branches/1.1.0_RC deluge # for 1.1.x stable 
     
    307315If you have already checked the source out and simply want to update your current tree, then do the following in the deluge directory: 
    308316{{{ 
     317#!sh 
    309318$ svn up 
    310319$ sudo rm  -fr ./build #only needed if libtorrent was changed.